org.springframework.http.converter.support

## Class AllEncompassingFormHttpMessageConverter

- java.lang.Object
- - org.springframework.http.converter.FormHttpMessageConverter
  - - org.springframework.http.converter.support.AllEncompassingFormHttpMessageConverter

All Implemented Interfaces:
  HttpMessageConverter<MultiValueMap<String,?>>

    public class AllEncompassingFormHttpMessageConverter
    extends FormHttpMessageConverter

Extension of `FormHttpMessageConverter`, adding support for XML and JSON-based parts.

Since:
  3.2
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`AllEncompassingFormHttpMessageConverter()`

### Method Summary

### Methods inherited from class org.springframework.http.converter.FormHttpMessageConverter

`addPartConverter, canRead, canWrite, generateMultipartBoundary, getFilename, getSupportedMediaTypes, read, setCharset, setPartConverters, setSupportedMediaTypes, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AllEncompassingFormHttpMessageConverter

    public AllEncompassingFormHttpMessageConverter()